<?php 
	// No posts to show, the famous 404 error message
	if ( ! have_posts() ) : 
?>
	<div id="post-0" class="post error404 not-found">
		<h1 class="entry-title"><?php __( 'Page Not Found', 'semi-static' ); ?></h1>
		<div class="entry-content">
			<p><?php
				// Error message output (localized)
				__( 'There is nothing here, besides this page which will tell you no more than that. 
					Why not try and search for whatever it was you were looking for?', 'semi-static' );
			?></p>
			<?php get_search_form(); ?>
		</div>
	</div>
<?php endif; ?>

<?php
	// The default loop
	while ( have_posts() ) : the_post(); 
	
		// If it's an archive or search result
		if ( is_home() || is_archive() || is_search() ) : 
		?>
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo __('Permalink to ', 'simple-static'); the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

			<div class="entry entry-excerpt">
				<?php the_excerpt(); ?>
			</div>
			
		<?php // Everything else
		else : ?>
		
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<h1 class="entry-title"><?php the_title(); ?></h1>
				<div class="entry entry-content">
					<?php the_content(); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'semi-static' ), 'after' => '</div>' ) ); ?>
				</div>
				<?php // Let's check to see if the comments are open
				if (comments_open()) { ?> 
				<div class="entry-meta">
					<span class="comments-link">
						<?php echo __('There are', 'simple-static'); ?> <?php comments_popup_link( __( 'no comments - pitch in!', 'semi-static' ), __( '1 comment', 'semi-static' ), __( '% comments', 'semi-static' ) ); ?>
					</span>
					<?php edit_post_link( __( 'Edit', 'semi-static' ), '<span class="meta-sep">|</span> <span class="edit-link">', '</span>' ); ?>
				</div>
				<?php } ?>
			
		<?php endif; ?>

		</div>

		<?php
			// If the comments are open we'll need the comments template
			if (comments_open()) {
				comments_template( '', true );
			}
		?>

<?php endwhile; ?>