<div id="sidebar-container">
	<ul id="sidebar">
	<?php
		// Single posts and Pages needs some meta data, but NOT the front page
		if ( is_singular() &! is_front_page() ) { ?>
			<li id="postmeta" class="widget">
				<h2><?php echo __('Information', 'simple-static'); ?></h2>
				<?php
				// This is for Pages only
				if ( is_page() ) { ?>
					<p><?php echo __('Page created ', 'simple-static'); ?><?php the_date(); ?> <?php echo __('by', 'simple-static'); ?> <?php the_author(); ?></p>
					<?php
						// Pages should have a page menu
						wp_list_pages();
					?>
				<?php }
				// This is for posts only
				if ( is_single() ) { ?>
					<p><span class="meta-category"><?php the_category(' &bull; '); ?> &bull; </span><?php echo __('Written on ', 'simple-static'); ?><?php the_date(); ?> @ <?php the_time(); ?> <?php echo __('by', 'simple-static'); ?> <?php the_author(); ?></p>
					<p><?php the_tags(); ?></p>
				<?php } ?>
			</li>
		<?php }
		// We want to show the right sidebar for the right area
		// Checking to see if it is the front page
		if ( is_front_page() ) {
			// The Front Page Right Column widget area
			if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('front-page-right-column') ) : endif; // -- Check ends
		} 
		// Checking to see if it is related to the News category
		// This widget area is empty by default
		elseif ( is_category('news') || in_category('news') ) {
			// The News and Press Right Column widget area
			if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('news-right-column') ) : endif; // -- Check ends
		}
		// Checking to see if it is related to the Blog category
		// This widget area is empty by default
		elseif ( is_category('blog') || in_category('blog') ) {
			// The Blog Right Column widget area
			if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('blog-right-column') ) : endif; // -- Check ends
		}
		// Checking to see if it is a Page
		// This widget area is empty by default
		elseif ( is_page() ) {
			// The Pages Right Column widget area
			if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('pages-right-column') ) : endif; // -- Check ends
		} 
		else {
			// Fallback widget area for everything else
			// This widget area is empty by default
			if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('right-column-fallback') ) : endif; // -- Check ends
		}
		?>
		
		<?php 
			// Showing latest News box on front page and News category
			if ( is_front_page() || is_category('news') || in_category('news') ) { ?>
				<li class="latest-box widget">
					<h3>News & Press</h3>
					<ul>
					<?php
					    // Let's get the latest News posts with a loop
					    $news_query = new WP_Query(array(
					    	'category_name' => 'news', 
					    	'posts_per_page' => 5)
					    ); ?>
					    <?php 
					    	// Any posts? Yay, let's loop 'em!
					    	if ($news_query->have_posts()) { ?>
					    	<?php while ($news_query->have_posts()) : $news_query->the_post(); ?>
					    		<li class="latest-box-story">
					    			<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
					    			<?php the_excerpt(); ?>
					    		</li>
					    	<?php endwhile; // Loop ends ?>
					    <?php } ?>
					</ul>
				</li>
			<?php }
		?>
		
		<?php 
			// Showing latest Blog posts on front page and Blog category
			if ( is_front_page() || is_category('blog') || in_category('blog') ) { ?>
				<li class="latest-box widget">
					<h3>Latest blog posts</h3>
					<ul>
					<?php
					    // Let's get the latest News posts with a loop
					    $news_query = new WP_Query(array(
					    	'category_name' => 'blog', 
					    	'posts_per_page' => 5)
					    ); ?>
					    <?php 
					    	// Any posts? Yay, let's loop 'em!
					    	if ($news_query->have_posts()) { ?>
					    	<?php while ($news_query->have_posts()) : $news_query->the_post(); ?>
					    		<li class="latest-box-story">
					    			<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
					    			<?php the_excerpt(); ?>
					    		</li>
					    	<?php endwhile; // Loop ends ?>
					    <?php } ?>
					</ul>
				</li>
			<?php }
		?>
			
	</ul>
</div>